Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpos.config.simple.editor
Interface PropsViewPanel

All Known Implementing Classes:
  AbstractPropsViewPanel

public interface PropsViewPanel

Super interface of all JposEntry properties view panel

Since:
  1.3 (Tokyo 2001 meeting)
Author:
  E. Michael Maximilien (maxim@us.ibm.com)

Inner Class Summary
`static class` | `PropsViewPanel.Event` Inner class to indicate an Event for this PropsViewPanel
`static interface` | `PropsViewPanel.Listener` Inner interface defining a Listener for this interface

Method Summary
`void` | `aboutToLooseFocus()` Called this PropsViewPanel is about looses focus
`void` | `addListener(PropsViewPanel.Listener listener)` Adds the PropsViewPanel listener for this PropsViewPanel
`void` | `cancelButtonClicked()` Called when the "OK" command button is clicked
`void` | `clearAll()` Clears all the JTextField to ""
`void` | `editButtonClicked()` Called when the "Edit" command button is clicked
`javax.swing.JPanel` | `getCustomButtonPanel()`
`JposEntry` | `getJposEntry()`
`void` | `okButtonClicked()` Called when the "OK" command button is clicked
`void` | `removeListener(PropsViewPanel.Listener listener)` Removes the PropsViewPanel listener for this PropsViewPanel
`void` | `setEditableAll(boolean b)` Makes all JTextField editable
`void` | `setEnabledAll(boolean b)` Makes all JTextField enabled
`void` | `setJposEntry(JposEntry entry)` Sets the current JposEntry for this panel

Method Detail

### clearAll

    public void clearAll()

  Clears all the JTextField to ""

### setEnabledAll

    public void setEnabledAll(boolean b)

  Makes all JTextField enabled
  Parameters:
    `b` - the boolean param

### setEditableAll

    public void setEditableAll(boolean b)

  Makes all JTextField editable
  Parameters:
    `b` - the boolean param

### setJposEntry

    public void setJposEntry(JposEntry entry)

  Sets the current JposEntry for this panel
  Parameters:
    `jposEntry` - the JposEntry

### getJposEntry

    public JposEntry getJposEntry()

  Returns:
    the current JposEntry for this panel

### aboutToLooseFocus

    public void aboutToLooseFocus()

  Called this PropsViewPanel is about looses focus

### editButtonClicked

    public void editButtonClicked()

  Called when the "Edit" command button is clicked

### okButtonClicked

    public void okButtonClicked()

  Called when the "OK" command button is clicked

### cancelButtonClicked

    public void cancelButtonClicked()

  Called when the "OK" command button is clicked

### getCustomButtonPanel

    public javax.swing.JPanel getCustomButtonPanel()

  Returns:
    the JPanel of of custom JButton object to add to for this panel

### addListener

    public void addListener(PropsViewPanel.Listener listener)

  Adds the PropsViewPanel listener for this PropsViewPanel
  Parameters:
    `listener` - The PropsViewPanel.Listener object

### removeListener

    public void removeListener(PropsViewPanel.Listener listener)

  Removes the PropsViewPanel listener for this PropsViewPanel
  Parameters:
    `listener` - The PropsViewPanel.Listener object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This API and code belongs to the JavaPOS committee please see LISCENCE file for details